.TH hxwd 1 "May 25 1997" "Lucent Technologies"
.SH NAME
hxwd \- huge x window dumper.
.SH SYNOPSIS
.B "hxwd"
[-w \fIwindow_id\fP | -s \fIdelay\fP]
[-f \fIfilename\fP]
[-x \fIx_delay\fP]
[-g \fIformat\fP]
[-n]
[-v]
.SH DESCRIPTION
.PP
\fIhxwd\fP is a program to dump a huge xwindow, that is, a window
greater than one screen. however, it also works for smaller windows, 
i.e., those smaller than a screen. At beginning, \fIhxwd\fP raises 
the target window and move it to the (0,0) of the root window or
virtual root window if it is under a virtual window manangement. If
the target window is a huge window, \fIhxwd\fP will scan it screen 
by screen. This is to make the target part exposed. If it is a small
one, \fIhxwd\fP will only scan once. During the scanning, \fIhxwd\fP
will grab the mouse and keyboard input to avoid interfering. This
is originally used to snapshot the Veritas Volumn Manager GUI window
which has no built-in print option and sometimes bigger than a
screen.
.SH OPTIONS
.PP
.TP 8
.B \-w \fIwindow_id\fP
This option specifies the window id of the target window. User can
use xwininfo(1) to get it. Without this option, \fIhxwd\fP will ask
the user to select the window by mouse. Note: xwininfo(1) is not
working well under tvtwm(1).
.PP
.TP 8
.B \-s \fIdelay\fP
The number of seconds before which the \fIhxwd\fP will be responsible
for the mouse clicking. This gives time to the user to switch to another
screen (if under virtual window manager) after he/she typed the command.
The default is 0.
.TP 8
.B \-x \fIx_delay\fP
Because the \fIhxwd\fP will expose the part of the window to be shot,
this option gives time (unit: second) to the X server to map the content.
Default is 1. For slow X server, this should be set longer.
.TP 8
.B \-f \fIfilename\fP
The image will be saved in \fIfilename\fP. Default is "./junk".
.TP 8
.B \-g \fIformat\fP
Currently, it only supports "xwd" and "xpm" formats. Default "xwd".
.TP 8
.B \-n
This will disable the compensition of wrapper frame of window manager.
This should be seldom used. But if the output is messed up, applying
this option may improve it. 
.TP 8
.B \-v
This gives verbose output for debugging.

.SH "SEE ALSO"
.PP
xwininfo(1), xwd(1)

.SH BUGS
.PP
\fIhxwd\fP is tested on olwm(1) (i.e. openwindows), olvwm(1), twm(1), tvtwm(1),
ctwm(1) and fvwm95(1). You may need start \fIhxwd\fP in the first screen
except for olvwm(1).

.SH AUTHORS
.PP
version 1.0 Tianhua Han, Lucent Technologies, \fIthan@lucent.com\fP.
